Last modified: 2014-10-02 14:38:52 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 69975 - Document CI doc publishing process
Document CI doc publishing process
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Continuous integration (Other open bugs)
wmf-deployment
All All
: High enhancement (vote)
: ---
Assigned To: Antoine "hashar" Musso (WMF)
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2014-08-25 14:19 UTC by Antoine "hashar" Musso (WMF)
Modified: 2014-10-02 14:38 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Antoine "hashar" Musso (WMF) 2014-08-25 14:19:16 UTC
Documentation is being generated on labs slave by some -publish jobs.  They rsync the generated documentation on integration-doc-publish.eqiad.Wmflabs and then trigger a run of the 'publish-doc' job which is tied on gallium and rsync from the labs instance.

The relevant JJB macro is 'push-doc' in doc.yaml.

That process needs to be documented on the wiki.
Comment 1 Antoine "hashar" Musso (WMF) 2014-09-17 15:33:36 UTC
I have done a first pass at documenting the process on https://www.mediawiki.org/wiki/Continuous_integration/Documentation_generation

For end user, the push-doc macro is the really only thing that is needed.  If that wiki page is good enough, we can close this reminder bug.
Comment 2 Antoine "hashar" Musso (WMF) 2014-10-02 14:38:52 UTC
I have amended a bit the document about the security rules. I am assuming it is good enough now.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links